{% extends 'base.html' %}


{% block title %}
    <title>Employee List</title>
{% endblock title %}

{% block content %}

    {% for message in messages %}
        <div class="alert alert-success">
            {{message}}
        </div>
    {% endfor %}

    <h1 style="text-align: center; padding-top: 1em; padding-bottom: 1em;">Employees Information</h1>

    <table class="table table-striped">
        <thead>
            <tr>
                <th scope="col">Name</th>
                <th scope="col">Email</th>
                <th scope="col">Address</th>
                <th scope="col">Salary</th>
                <th scope="col">Details</th>
                <th scope="col">Action</th>
            </tr>
        </thead>
        <tbody>
            {% for emp in employee %}
                <tr>
                    <th scope="row">{{ emp.employee_name }}</th>
                    <td>{{ emp.employee_email }}</td>
                    <td>{{ emp.employee_address }}</td>
                    <td>{{ emp.employee_salary }}</td>
                    <td><a href="{% url 'employee_details' emp.id %}">Details</a></td>

                    <td>
                        <a style="margin-right: 30px;" href="{% url 'edit_employee' emp.id %}">Edit</a>
                        <a href="{% url 'delete_employee' emp.id %}">Remove</a>
                    </td>
                </tr>
            {% endfor %}
        </tbody>
    </table>

    <div class="text-center">
        <a href="{% url 'create_employee' %}"><button type="button" class="btn btn-primary">Add New Info</button></a>
    </div>
{% endblock %}